//#region libs/shared/common/src/functions/web3/crypto.ts
var e = async (e, t) => {
	let n = typeof e == "string" ? new TextEncoder().encode(e) : new Uint8Array(e), r = new Uint8Array(t), i = await crypto.subtle.importKey("raw", n, {
		name: "HMAC",
		hash: "SHA-512"
	}, !1, ["sign"]), a = await crypto.subtle.sign("HMAC", i, r);
	return new Uint8Array(a);
};
//#endregion
export { e as hmacSha512 };
